This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 32489 - NbTheme should work also with subclasses of MetalLookAndFell
Summary: NbTheme should work also with subclasses of MetalLookAndFell
Status: CLOSED FIXED
Alias: None
Product: platform
Classification: Unclassified
Component: Window System (show other bugs)
Version: 3.x
Hardware: All All
: P3 blocker (vote)
Assignee: David Strupl
URL:
Keywords:
Depends on:
Blocks: 32488
  Show dependency tree
 
Reported: 2003-03-29 21:15 UTC by David Strupl
Modified: 2008-12-22 15:49 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Strupl 2003-03-29 21:15:49 UTC
The code in main uses NbTheme only in case that no
ui is specified from the command line. It should
work also when a ui is MetalLookAndFeel or its
subclass.
Comment 1 David Strupl 2003-04-02 19:59:36 UTC
The diff is on branch platform_32247 in file
File: Main.java         Status: Up-to-date

   Working revision:    1.159.16.1
   Repository revision: 1.159.16.1     
/cvs/core/src/org/netbeans/core/Main.java,v
   Sticky Tag:          platform_32247 (branch: 1.159.16)
   Sticky Date:         (none)
   Sticky Options:      (none)

Comment 2 Marian Mirilovic 2003-04-04 15:50:23 UTC
This issue is not planned to be fixed for 3.5, changing TM = 4.0
Comment 3 David Strupl 2004-02-11 21:39:32 UTC
In Nb 3.6 it works ok with command line switch 
-J-Dnetbeans.useTheme=true
Marking this one as fixed, although no files were changed with this
report.
Comment 4 Marian Mirilovic 2004-08-17 08:45:47 UTC
closed